# Interface methods for submodule: BSplineResampleImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BSplineInterpolateImageFunctionProxy as _BSplineInterpolateImageFunctionProxy


# Interface methods for class: BSplineResampleImageFunction
class BSplineResampleImageFunctionProxy(_BSplineInterpolateImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInputImage(self, inputData) -> None:
		""""""
		...

